[DRE-commits] [diaspora-installer] 01/01: use diaspora_conf variable everywhere
Praveen Arimbrathodiyil
praveen at moszumanska.debian.org
Sun Mar 13 05:15:26 UTC 2016
This is an automated email from the git hooks/post-receive script.
praveen pushed a commit to branch conffiles
in repository diaspora-installer.
commit f96a6d3d33995d7c187c93d9908fac8347955254
Author: Praveen Arimbrathodiyil <praveen at debian.org>
Date: Sun Mar 13 10:42:56 2016 +0530
use diaspora_conf variable everywhere
---
debian/diaspora-common.postinst | 32 ++++++++++++++++----------------
diaspora-common.conf | 2 +-
2 files changed, 17 insertions(+), 17 deletions(-)
diff --git a/debian/diaspora-common.postinst b/debian/diaspora-common.postinst
index 02c7511..0febb77 100755
--- a/debian/diaspora-common.postinst
+++ b/debian/diaspora-common.postinst
@@ -71,11 +71,11 @@ case "$1" in
# Configure pod address.
db_get diaspora-common/url
echo "SSL disabled, skip nginx configuration for ${RET}..."
- if ! grep SERVERNAME /usr/share/diaspora-common/diaspora.conf
+ if ! grep SERVERNAME ${diaspora_conf}
then
- echo export SERVERNAME=${RET} >> /usr/share/diaspora-common/diaspora.conf
+ echo export SERVERNAME=${RET} >> ${diaspora_conf}
export SERVERNAME=${RET}
- echo export ENVIRONMENT_URL="http://$SERVERNAME:3000" >> /usr/share/diaspora-common/diaspora.conf
+ echo export ENVIRONMENT_URL="http://$SERVERNAME:3000" >> ${diaspora_conf}
fi
fi
@@ -92,9 +92,9 @@ case "$1" in
facebook_app_id=$RET
db_get diaspora-common/facebook_secret
facebook_secret=$RET
- echo export SERVICES_FACEBOOK_ENABLE=true >> /usr/share/diaspora-common/diaspora.conf
- echo export SERVICES_FACEBOOK_APP_ID=$facebook_app_id >> /usr/share/diaspora-common/diaspora.conf
- echo export SERVICES_FACEBOOK_SECRET=$facebook_secret >> /usr/share/diaspora-common/diaspora.conf
+ echo export SERVICES_FACEBOOK_ENABLE=true >> ${diaspora_conf}
+ echo export SERVICES_FACEBOOK_APP_ID=$facebook_app_id >> ${diaspora_conf}
+ echo export SERVICES_FACEBOOK_SECRET=$facebook_secret >> ${diaspora_conf}
fi
servicename="Twitter"
if [ "${selectedservices#*$servicename}" != "$selectedservices" ]; then
@@ -102,9 +102,9 @@ case "$1" in
twitter_key=$RET
db_get diaspora-common/twitter_secret
twitter_secret=$RET
- echo export SERVICES_TWITTER_ENABLE=true >> /usr/share/diaspora-common/diaspora.conf
- echo export SERVICES_TWITTER_KEY=$twitter_key >> /usr/share/diaspora-common/diaspora.conf
- echo export SERVICES_TWITTER_SECRET=$twitter_secret >> /usr/share/diaspora-common/diaspora.conf
+ echo export SERVICES_TWITTER_ENABLE=true >> ${diaspora_conf}
+ echo export SERVICES_TWITTER_KEY=$twitter_key >> ${diaspora_conf}
+ echo export SERVICES_TWITTER_SECRET=$twitter_secret >> ${diaspora_conf}
fi
servicename="Tumblr"
if [ "${selectedservices#*$servicename}" != "$selectedservices" ]; then
@@ -112,9 +112,9 @@ case "$1" in
tumblr_key=$RET
db_get diaspora-common/tumblr_secret
tumblr_secret=$RET
- echo export SERVICES_TUMBLR_ENABLE=true >> /usr/share/diaspora-common/diaspora.conf
- echo export SERVICES_TUMBLR_KEY=$tumblr_key >> /usr/share/diaspora-common/diaspora.conf
- echo export SERVICES_TUMBLR_SECRET=$tumblr_secret >> /usr/share/diaspora-common/diaspora.conf
+ echo export SERVICES_TUMBLR_ENABLE=true >> ${diaspora_conf}
+ echo export SERVICES_TUMBLR_KEY=$tumblr_key >> ${diaspora_conf}
+ echo export SERVICES_TUMBLR_SECRET=$tumblr_secret >> ${diaspora_conf}
fi
servicename="Wordpress"
if [ "${selectedservices#*$servicename}" != "$selectedservices" ]; then
@@ -122,12 +122,12 @@ case "$1" in
wordpress_client_id=$RET
db_get diaspora-common/wordpress_secret
wordpress_secret=$RET
- echo export SERVICES_WORDPRESS_ENABLE=true >> /usr/share/diaspora-common/diaspora.conf
- echo export SERVICES_WORDPRESS_CLIENT_ID=$wordpress_client_id >> /usr/share/diaspora-common/diaspora.conf
- echo export SERVICES_WORDPRESS_SECRET=$wordpress_secret >> /usr/share/diaspora-common/diaspora.conf
+ echo export SERVICES_WORDPRESS_ENABLE=true >> ${diaspora_conf}
+ echo export SERVICES_WORDPRESS_CLIENT_ID=$wordpress_client_id >> ${diaspora_conf}
+ echo export SERVICES_WORDPRESS_SECRET=$wordpress_secret >> ${diaspora_conf}
fi
fi
- ucf --debconf-ok /usr/share/diaspora-common/diaspora.conf /etc/diaspora.conf
+ ucf --debconf-ok ${diaspora_conf} /etc/diaspora.conf
ucfr diaspora-common /etc/diaspora.conf
${diaspora_scripts}/adduser.sh
${diaspora_scripts}/grantpriv.sh
diff --git a/diaspora-common.conf b/diaspora-common.conf
index 8e381bb..af73d9c 100644
--- a/diaspora-common.conf
+++ b/diaspora-common.conf
@@ -3,7 +3,7 @@ export diaspora_version=0.5.6.3
export diaspora_release_type=tag
export github_archive_url=https://github.com/diaspora/diaspora/archive
export diaspora_user=diaspora
-export diaspora_conf=/etc/diaspora.conf
+export diaspora_conf=/usr/share/diaspora-common/diaspora.conf
export diaspora_home=/usr/share/diaspora
export diaspora_cache=/var/cache/diaspora-installer
export diaspora_scripts=/usr/lib/diaspora-common/scripts
--
Alioth's /usr/local/bin/git-commit-notice on /srv/git.debian.org/git/pkg-ruby-extras/diaspora-installer.git
More information about the Pkg-ruby-extras-commits
mailing list